
/*	Copyright (C) G. Jespersen
	See Licence.txt.*/

#if !defined(AFX_NEWTOPICDLG_H__A930399C_45DF_4A4D_B53F_A7A0C7588E06__INCLUDED_)
#define AFX_NEWTOPICDLG_H__A930399C_45DF_4A4D_B53F_A7A0C7588E06__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// NewTopicDlg.h : header file
//

#include "TopicListBox.h"

/////////////////////////////////////////////////////////////////////////////
// CNewTopicDlg dialog

class CNewTopicDlg : public CDialog
{
// Construction
public:
	CNewTopicDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CNewTopicDlg)
	enum { IDD = IDD_NEW_TOPIC_DLG };
	CComboBox	m_ctrlComboTypes;
	CComboBox	m_ctrlComboNodes;
	CString		m_topicName;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNewTopicDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CNewTopicDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	// Init
	void InitTypesCombo();
	void InitNodesCombo();

	// Types Combo.
	void SetComboTypesSel(BOOL isEditing);
	MEDIA_TYPE GetComboTypesSelMediaType();

	// CTopicListBox.
	CStringArray m_topicNodesAr;

public:
	// Members - set by caller.
	CDsLavDoc * m_pDoc;
	MEDIA_TYPE m_type;
	CString m_dlgTitle;

	// Set Topic Name.
	void SetTopicName(CString topicName);

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NEWTOPICDLG_H__A930399C_45DF_4A4D_B53F_A7A0C7588E06__INCLUDED_)
